urpm::xml_info_pkg(3)

NAME
urpm::xml_info_pkg - XML Package data retrieving related routines for urpmi

SYNOPSIS

DESCRIPTION

new($class, $hash, $pkg)
    Returns a proxy object It enable to get the XML info if available, otherwise redirects to URPM::Package

id($pkg)
group($pkg)
size($pkg)
epoch($pkg)
buildhost($pkg)
packager($pkg)
summary($pkg)
    Only available in synthesis/hdlist

url($pkg)
license($pkg)
sourcerpm($pkg)
description($pkg)
changelogs($pkg)
files($pkg)
    Can be directly available in xml_info

name($pkg)
version($pkg)
release($pkg)
arch($pkg)
fullname($pkg)
filename($pkg)
    Available in both {pkg} and {fn}

COPYRIGHT
Copyright (C) 2005 MandrakeSoft SA

Copyright (C) 2005-2010 Mandriva SA

Copyright (C) 2011-2017 Mageia